Log Signals

Signals:

- log-timestamp

See also
  log.h

# log-timestamp

char *(*log_timestamp)(PurpleLog *log, time_t when, gboolean show_date);
_PurpleLog
A log.
Definition: log.h:124

Description:
  Emitted to allow plugins to customize the timestamp on a message being logged.

Parameters

  log | The log the message belongs to.
  when | The time to be converted to a string.
  show_date | Whether the date should be displayed.

Returns
  A textual representation of the time, or `NULL` to use a default format.

Note
  Plugins must be careful of logs with a type of PURPLE_LOG_SYSTEM.